Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Interface MapRunnable<K1,V1,K2,V2>

All Superinterfaces:
  JobConfigurable

All Known Implementing Classes:
  MapRunner, MultithreadedMapRunner, PipeMapRunner

    public interface MapRunnable<K1,V1,K2,V2>

extends JobConfigurable

Expert: Generic interface for `Mapper`s.

Custom implementations of `MapRunnable` can exert greater control on map processing e.g. multi-threaded, asynchronous mappers etc.

See Also:
  `Mapper`

Method Summary
`void` | `run(RecordReader<K1,V1> input, OutputCollector<K2,V2> output, Reporter reporter)` Start mapping input `<key, value>` pairs.

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Method Detail

### run

    void run(RecordReader<K1,V1> input,
             OutputCollector<K2,V2> output,
             Reporter reporter)
             throws IOException

  Start mapping input `<key, value>` pairs.

  Mapping of input records to output records is complete when this method returns.

  Parameters:
    `input` - the `RecordReader` to read the input records.
    `output` - the `OutputCollector` to collect the outputrecords.
    `reporter` - `Reporter` to report progress, status-updates etc.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation